# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Counter
include 			$(DIR_MORPHEO)/Behavioural/Generic/Counter/Makefile.deps
endif
ifndef RegisterFile_Monolithic
include 			$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.deps
endif

Pattern_History_Table			= yes

#-----[ Library ]------------------------------------------
Pattern_History_Table_LIBRARY		= 	-lPattern_History_Table	\
						$(RegisterFile_Monolithic_LIBRARY)	\
						$(Counter_LIBRARY)	\
						$(Behavioural_LIBRARY)

Pattern_History_Table_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table/lib	\
						$(RegisterFile_Monolithic_DIR_LIBRARY)	\
						$(Counter_DIR_LIBRARY)		\
						$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Pattern_History_Table_library		: 
					@$(MAKE) Behavioural_library
					@$(MAKE) Counter_library
					@$(MAKE) RegisterFile_Monolithic_library
					@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table --makefile=Makefile 
	
Pattern_History_Table_library_clean	: 
					@$(MAKE) Behavioural_library_clean
					@$(MAKE) Counter_library_clean
					@$(MAKE) RegisterFile_Monolithic_library_clean
					@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Pattern_History_Table --makefile=Makefile clean
